Package de.gebit.integrity.eclipse.classpath

## Class IntegrityClasspathContainerPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - de.gebit.integrity.eclipse.classpath.IntegrityClasspathContainerPage

- All Implemented Interfaces:
    `org.eclipse.jdt.ui.wizards.IClasspathContainerPage`, `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.wizard.IWizardPage`

      public class IntegrityClasspathContainerPage
      extends org.eclipse.jface.wizard.WizardPage
      implements org.eclipse.jdt.ui.wizards.IClasspathContainerPage

  A very simple configuration page to make the Integrity Classpath Container show up in the libraries to add by the user. The page is actually empty, besides some text, since there's nothing to configure anyway!
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityClasspathContainerPage()` | Default constructor for instantiation in Eclipse.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createControl​(org.eclipse.swt.widgets.Composite aParent)` |
    `boolean` | `finish()` |
    `org.eclipse.jdt.core.IClasspathEntry` | `getSelection()` |
    `void` | `setSelection​(org.eclipse.jdt.core.IClasspathEntry aClasspathEntry)` |

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

    - ### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

      `canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

- - ### Constructor Detail

    - #### IntegrityClasspathContainerPage

          public IntegrityClasspathContainerPage()

      Default constructor for instantiation in Eclipse.

  - ### Method Detail

    - #### createControl

          public void createControl​(org.eclipse.swt.widgets.Composite aParent)

      Specified by:
        `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

    - #### finish

          public boolean finish()

      Specified by:
        `finish` in interface `org.eclipse.jdt.ui.wizards.IClasspathContainerPage`

    - #### getSelection

          public org.eclipse.jdt.core.IClasspathEntry getSelection()

      Specified by:
        `getSelection` in interface `org.eclipse.jdt.ui.wizards.IClasspathContainerPage`

    - #### setSelection

          public void setSelection​(org.eclipse.jdt.core.IClasspathEntry aClasspathEntry)

      Specified by:
        `setSelection` in interface `org.eclipse.jdt.ui.wizards.IClasspathContainerPage`